d3.csv(
  'https://gist.githubusercontent.com/charanchand9/034caa87a68fd4768518428e4109d5a7/raw/a5de042b9c3feef579def7d53773c4380e7d5fba/Scatter.csv',
  function (err, rows) {
    // creating a function to read csv file and return the attribute values as array
    function unpack(rows, key) {
      return rows.map(function (row) {
        return row[key];
      });
    }

    //define the trace attributes for the plotly data
    var trace2 = {
      x: unpack(rows, 'score'),
      y: unpack(rows, 'match'),
      z: unpack(rows, 'balls'),
      mode: 'markers',
      marker: {
        color: 'rgb(155, 61, 163)',
        size: 15,
        symbol: 'circle',
        line: {
          color: 'rgb(155, 61, 163)',
          width: 3,
        },
        opacity: 0.8,
      },
      type: 'scatter3d',
    };

    var data = [trace2];

    //define the layouts -margin, axes value adn stules for the plotly data
    var layout = {
      margin: {
        l: 1,
        r: 1,
        b: 1,
        t: 1,
      },
      scene: {
        xaxis: {
          title: 'score',
          titlefont: {
            color: 'aqua',
            family: 'Arial, Open Sans',
            size: 10,
          },
        },
        yaxis: {
          title: 'match',
          titlefont: {
            color: 'blue',
            family: 'Arial, Open Sans',
            size: 10,
          },
        },
        zaxis: {
          title: 'balls',
          titlefont: {
            color: 'green',
            family: 'Arial, Open Sans',
            size: 10,
          },
        },
      },
    };

    // call the plotly newPlot method to plot the data
    Plotly.newPlot('myDiv', data, layout);
  }
);
